package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.UserAuth;
import com.ruoyi.xq.dto.admin.user.UserAuthAdminVo;
import com.ruoyi.xq.dto.admin.userauth.UserAuthAdminInfoVo;

/**
 * 用户认证管理Service接口
 *
 * @author 77
 * @date 2024-03-04
 */
public interface UserAuthService extends IService<UserAuth> {
    UserAuth getByUserId(Long userId);

    Page<UserAuthAdminVo> pageAdmin(PageQuery pageQuery, UserAuthAdminVo bo);

    UserAuthAdminInfoVo getAdminById(Long id);

    void updateUserAuth(UserAuth bo);

    void checkAuthNum(Long userId);
}
